import { SVGProps } from 'react'

const IconTotalLost = (props: SVGProps<SVGSVGElement>) => (
  <svg
    {...props}
    width={40}
    height={42}
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
  >
    <path
      d="m33.8 33.066-19.74 5.316c-2.653.723-5.38-.849-6.1-3.519L2.678 15A5.017 5.017 0 0 1 6.2 8.861l19.74-5.315c2.653-.723 5.38.874 6.1 3.544l5.282 19.863c.694 2.67-.868 5.415-3.522 6.113Z"
      fill="#E1E4F4"
    />
    <path
      d="m34.42 13.702-1.19 1.123s-6.646-4.167-6.87-4.317c-.223-.125-2.082 3.07-2.43 3.269L3.472 25.655l16.044 3.02 15.227-8.236c.57-.349-.323-6.737-.323-6.737Z"
      fill="#2B2E3A"
    />
    <path
      d="m21.897 14.177-1.017-.35a1.4 1.4 0 0 1-.595-.4l-.372-.448a.465.465 0 0 0-.769.075l-.347.598a.866.866 0 0 0-.124.45v1.447l-1.066 1.372-3.398 1.972a.399.399 0 0 0-.198.35v.473c0 .15.074.275.198.35l3.15 1.821c.149.1.347.1.496 0l3.596-2.046c.099-.05.148-.15.148-.274v-.325l1.141-3.344a1.39 1.39 0 0 0-.843-1.721ZM26.93 17.895l-1.016-.35a1.4 1.4 0 0 1-.595-.399l-.372-.449a.465.465 0 0 0-.769.075l-.223.4c-.149.274-.248.573-.248.872v1.672c0 .175-.1.35-.248.45l-.793.474-3.398 1.971a.399.399 0 0 0-.198.35v.473c0 .15.074.275.198.35l3.15 1.821c.148.1.347.1.496 0l3.595-2.046c.1-.05.15-.15.15-.274v-.325l1.14-3.343a1.373 1.373 0 0 0-.868-1.722Z"
      fill="#57617F"
    />
    <path
      d="m12.498 14.875-.67 3.144 2.505-1.572.1 1.348 2.083.573-1.488 1.074.843 2.52-6.845-3.593 1.166-1.797 2.306-1.697ZM19.12 16.023l-1.464 1.647 2.083-.1-.074.799 1.34.25.346-1.623-2.232-.973Z"
      fill="#FFD385"
    />
    <path
      d="M4.488 22.785c-.074.175-.421-.025-.719 1.198-.47.45-.62 1.123-.62 1.472v2.47c0 .525.174.999.521 1.398.149.175.893-.225 1.116-.1a75.63 75.63 0 0 0 4.017 2.146c1.116.649 1.711 1.647 3.001 1.647l.347-.674 1.662-7.037-9.325-2.52Z"
      fill="#F97A7A"
    />
    <path
      d="m33.23 11.182-7.588-4.367a2.48 2.48 0 0 0-2.43 0l-6.82 4.766c-.372.25-.794.425-1.24.5l-1.364.2-.471.348c-.223.175-.422.4-.546.674l-.545 1.198-2.43 2.071-.77 1.248-3.918 3.044c-.223.175.075.724-.05.948-.198.325-.743.6-.743.998l-.05.375c0 .25.918.973 1.215.374.199-.4 2.778.524 3.15.749l1.116 1.322c.644.375-.422 1.822.322 1.722l2.926-.225c.546-.05 1.513.3 1.984.025 1.885-1.023 4.216-3.393 4.365-3.343l2.38-6.488c3.745-3.194 7.762-3.793 11.507-6.139Zm-12.498 6.663-1.885 4.74a.779.779 0 0 1-.72.5l-8.505-4.916a.767.767 0 0 1 .173-.674l.397-.723 2.306-1.897.695-1.422a.516.516 0 0 1 .744-.05c.322.3.347 1.073.942 1.522.422.3 1.389.275 1.86.524 1.19.674 2.877 1.398 3.72 1.722.248.1.372.4.273.674Z"
      fill="#BFC6F2"
    />
    <path
      d="M35.065 12.53c-.322-.45-.769-.774-1.24-1.048l-.595-.3-1.166.724c3.125 3.568-1.884 10.605-2.455 10.93l-1.736.923a1.71 1.71 0 0 0 .472-1.173l.099-4.442c0-.35-.025-.698-.1-1.048l-.719-3.244a.655.655 0 0 0-.967-.424l-3.521 2.046a3.553 3.553 0 0 0-1.587 1.922l-1.141 3.293c-.1.275-.198.55-.347.799-.1.2-.174.424-.223.649a6.601 6.601 0 0 1-2.629 2.844l-2.48 1.423c-.62.35-1.314.599-2.008.674 0 0-1.24.499-2.282 1.497l-.62 2.32a2.06 2.06 0 0 0 2.058 2.072l2.232-1.223c.347-.474.72-2.67 3.026-3.094l3.397.848 8.283-4.816 4.96-3.493c.843-.5 1.983-1.049 2.157-2.022.05-.2.074-.424.074-.624V15.3c0-.949-.322-1.947-.942-2.77Zm-13.614 8.584.892-3.07a3.723 3.723 0 0 1 1.687-2.146l3.025-1.771.645 2.844c.099.474-.1.949-.496 1.223l-5.183 3.344c-.298.174-.67-.1-.57-.424Z"
      fill="#8698BF"
    />
    <path
      d="M12.25 20.54s.025 0 .025.024c0-.024-.025-.024-.025-.024Z"
      fill="#B3B3B3"
    />
    <path
      d="M35.437 18.468s-.868-.499-.918-.449c-.05.05-1.413.3-1.413.3l-1.885 1.646-1.612 4.342 1.017-.573 1.19.673 3.497-3.718.074-.35.15-.997-.1-.874Z"
      fill="#2B2E3A"
    />
    <path
      d="M33.924 19.317c-.248 0-.496.075-.694.2a4.21 4.21 0 0 0-2.108 3.668c0 .773.62 1.422 1.413 1.422.248 0 .496-.075.72-.2a4.263 4.263 0 0 0 2.107-3.668c-.024-.773-.67-1.422-1.438-1.422Z"
      fill="#57617F"
    />
    <path
      d="M33.651 17.845c-1.041.324-1.86.948-2.504 1.672-.223.25-1.042 1.447-1.19 1.771a9.355 9.355 0 0 0-.72 1.847c-.273.898-.372 1.597-.372 1.597l1.091-.624s.943-4.816 3.695-5.664c.521-.15.695-.125.967-.05.273.1.645.274.744.549.199.524.1 1.223-.024 1.721.322-.424.52-.898.62-1.397-.075-.374-.199-.748-.422-1.048-.149-.2-1.364-.549-1.885-.374Z"
      fill="#BFC6F2"
    />
    <path
      d="m3.67 25.206.322-.15c0-.923.273-1.747.273-1.747l1.215-1.098-1.165.574c-.075.175-.223-.025-.546 1.198-.47.45-.62 1.123-.62 1.472v2.446s.248.05.248-.1c.1-.998.273-2.595.273-2.595Z"
      fill="#8698BF"
    />
    <path
      d="M11.209 30.172c-.124.224.57.723.57 1.098l-1.587-.075.893 1.746-2.232-1.048.917-2.545 3.398-1.148c.025 0-1.835 1.747-1.96 1.972Z"
      fill="#F97A7A"
    />
    <path
      d="M13.862 27.826c-.893.35-2.505.848-4.067.574l-1.14-1.223-3.026-.25-1.637-1.871s-.099-.873 0-1.847c0 0-.694 2.246-.024 2.745 0 .45.074.949.297 1.098.1.075.347.2.695.375l.52.798 2.629.824c.05.025.074.05.124.075.694.349 1.265.648 1.463.773.248.15.322-.05.322-.35.397 0 1.116-.024 2.183-.224.223-.05.818-.474 1.785-1.273.075-.1-.025-.25-.124-.224Z"
      fill="#2B2E3A"
    />
    <path
      d="m3.893 27.751 5.902 3.419c.397.948.769 1.497.769 1.497-.471.15-1.017-.55-1.414-.674-.396-.125-4.91-1.946-4.91-1.946-.421-.3-.793-.899-.868-1.148.025-.325.521-1.148.521-1.148Z"
      fill="#EF3F54"
    />
    <path
      d="M9.646 18.369c-.372.449-.644.948-.967 1.422-.297.474-.62.973-.942 1.447-.347.474-.694.948-1.091 1.373l-.149.15-.174.174c-.124.125-.347.2-.52.15-.174-.025-.298-.15-.397-.175-.025 0-.025-.025-.025 0-.025.025-.025.05-.025.075-.025.075-.025.15-.025.225a.732.732 0 0 1-.05-.225c0-.05 0-.075.026-.125.024-.05.099-.1.148-.1.174.025.298.075.422.075.1 0 .174-.05.248-.15.025-.05.074-.1.1-.174a.758.758 0 0 1 .123-.175c.298-.474.62-.973.943-1.447.322-.474.67-.948 1.066-1.372.198-.225.397-.425.62-.624.149-.2.372-.4.67-.524ZM17.284 23.16c-.396.3-.818.574-1.264.798-.447.225-.893.424-1.364.6-.471.174-.943.323-1.414.473l-.694.2c-.223.075-.471.15-.645.224l.074-.074c-.198.299-.421.573-.644.848l-.075.075-.074-.025c-.347-.075-.67-.15-1.017-.25.347-.05.695-.05 1.042-.05l-.149.075c.149-.324.322-.624.496-.948l.025-.05.05-.025c.247-.15.47-.224.719-.324.223-.1.47-.175.694-.25.471-.15.942-.3 1.389-.424l1.388-.424 1.463-.45Z"
      fill="#8698BF"
    />
    <path
      d="m20.111 29.822.595-1.397-.719-1.647h-1.735l-1.265.898-1.463 1.547-.794 1.348s.546-.375 1.166-.724c1.91-1.048 4.215-.025 4.215-.025Z"
      fill="#2B2E3A"
    />
    <path
      d="M18.55 29.049c-.274-.15-.646-.025-.943.274l-1.563-.923-.62 1.123 1.613.948c-.05.374.024.674.272.823l.298.175 1.24-2.246s-.273-.15-.298-.174Z"
      fill="#57617F"
    />
    <path
      d="M18.847 29.223c-.397-.2-.968.125-1.29.749-.322.624-.347 1.297.05 1.497.396.2 1.041-.125 1.364-.748.322-.624.272-1.298-.124-1.498Z"
      fill="#8698BF"
    />
    <path
      d="M14.581 30.796s.521-.4.868-1.273c.149-.374.422 0 .67-.4.545-.898 1.339-1.746 2.43-2.07 2.777-.849 1.538 2.77 1.538 2.77l.818-.475s.52-3.817-2.331-2.92c-1.538.5-2.455.95-3.15 1.972-.124.175-.272.874-.272.874l-1.39.873s.175.873.125 1.073c-.1.324.198.574.198.574.447-.325.372-.574.496-.998Z"
      fill="#BFC6F2"
    />
  </svg>
)

export default IconTotalLost
